### Signal

# EDataBook BookBackend::shutdown

since: 3.10

#### Declaration

    void
    shutdown (
      EBookBackend* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the last client destroys its `EBookClient` for `backend`. This signals the `backend` to begin final cleanup tasks such as synchronizing data to permanent storage.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.10